### Hierarchy

- Core
  - Personal

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- addAccount
- closeWallet
- getWalletAccounts
- getWalletBalance
- listAllWallet
- listWalletAccount
- newWallet
- openWallet
- provider
- providers
- requestManager
- restoreWallet
- send
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- setProvider

## Constructors

### constructor

- new Personal(provider: any, net?: any): Personal

- Overrides Core.constructor

  - Defined in cs/personal/index.ts:4

  #### Parameters

  - ##### provider: any

  - ##### Optional net: any

  #### Returns Personal

## Properties

### BatchRequest

BatchRequest: BatchManager

Inherited from Core.BatchRequest

- Defined in core/index.ts:13

### addAccount

addAccount: function = this.buildCall({name: 'addAccount',call: 'personal_addAccount',params: 2})

- Defined in cs/personal/index.ts:70

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### closeWallet

closeWallet: function = this.buildCall({name: 'closeWallet',call: 'personal_closeWallet',params: 1,inputFormatter: [Helper.Formatters.inputPlaceholderFormatter]})

- Defined in cs/personal/index.ts:27

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getWalletAccounts

getWalletAccounts: function = this.buildCall({name: 'getWalletAccounts',call: 'personal_curGetWalletAccount',params: 0})

- Defined in cs/personal/index.ts:58

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getWalletBalance

getWalletBalance: function = this.buildCall({name: 'getWalletBalance',call: 'personal_curGetWalletBalance',params: 0})

- Defined in cs/personal/index.ts:64

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### listAllWallet

listAllWallet: function = this.buildCall({name: 'listAllWallet',call: 'personal_listWallet',params: 1})

- Defined in cs/personal/index.ts:52

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### listWalletAccount

listWalletAccount: function = this.buildCall({name: 'listWalletAccount',call: 'personal_listWalletAccount',params: 1})

- Defined in cs/personal/index.ts:46

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### newWallet

newWallet: function = this.buildCall({name: 'newWallet',call: 'personal_establishWallet',params: 3,inputFormatter: [null,Helper.Formatters.inputPlaceholderFormatter,Helper.Formatters.inputPlaceholderFormatter]})

- Defined in cs/personal/index.ts:9

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### openWallet

openWallet: function = this.buildCall({name: 'openWallet',call: 'personal_openWallet',params: 2,inputFormatter: [null, Helper.Formatters.inputPlaceholderFormatter]})

- Defined in cs/personal/index.ts:20

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### provider

provider: Provider

Inherited from Core.provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

Inherited from Core.providers

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

Inherited from Core.requestManager

- Defined in core/index.ts:12

### restoreWallet

restoreWallet: function = this.buildCall({name: 'restoreWallet',call: 'personal_restoreWallet',params: 4,inputFormatter: [null,null,Helper.Formatters.inputPlaceholderFormatter,Helper.Formatters.inputPlaceholderFormatter]})

- Defined in cs/personal/index.ts:34

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### send

send: function = this.buildCall({name: 'send',call: 'personal_sendTransaction',params: 4})

- Defined in cs/personal/index.ts:76

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### Static providers

providers: ProvidersInterface = RequestManager.providers

Inherited from Core.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- Inherited from Core.currentProvider

  - Defined in core/index.ts:28

  #### Returns any

- Inherited from Core.currentProvider

  - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- Inherited from Core.buildCall

  - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- Inherited from Core.setProvider

  - Defined in core/index.ts:36

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

Generated using TypeDoc